#ifndef CONFIRM_H
#define CONFIRM_H
#include "global.h"
#include "Drawer.h"

class Confirm {
private:
	Image image;
	Sprite sprite;
	bool selok;
	real sel_yes, sel_no;
	int iw,ih;
	real fw,fh;
public:
	Confirm();
	void Fade(Drawer *parent, bool on=true);
	bool Ask(Drawer *parent, const char *what);
	void Tell(Drawer *parent, const char *what1, const char *what2);
	void Tell2(Drawer *parent, const char *what1, const char *what2);
	void Show(Drawer *parent, const char *what1, const char *what2);
	string Input(Drawer *parent, const char *what);
};

extern Confirm *confirm;

#endif

